---
title: '<title>: The Document Title element'
slug: Web/HTML/Element/title
tags:
  - Element
  - HTML
  - HTML document metadata
  - 'HTML:Metadata content'
  - Page Name
  - Page Title
  - Reference
  - Tab Name
  - Tab Title
  - Title
  - Web
  - Window Name
  - Window Title
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Title element</strong> (<strong><code>&lt;title&gt;</code></strong>) defines the document's title that is shown in a {{glossary("Browser", "browser")}}'s title bar or a page's tab.</span> It only contains text; tags within the element are ignored.</p>

<pre class="brush: html">&lt;title&gt;Grandma's Heavy Metal Festival Journal&lt;/title&gt;</pre>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Metadata_content">Metadata content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Text that is not inter-element {{glossary("whitespace")}}.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>Both opening and closing tags are required. Note that leaving off <code>&lt;/title&gt;</code> should cause the browser to ignore the rest of the page.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{ HTMLElement("head") }} element that contains no other {{ HTMLElement("title") }} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted.</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLTitleElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>&lt;title&gt;</code> element is always used within a page's {{HTMLElement("head")}} block.</p>

<h3 id="Page_titles_and_SEO">Page titles and SEO</h3>

<p>The contents of a page title can have significant implications for search engine optimization ({{glossary("SEO")}}). In general, a longer, descriptive title performs better than short or generic titles. The content of the title is one of the components used by search engine algorithms to decide the order in which to list pages in search results. Also, the title is the initial "hook" by which you grab the attention of readers glancing at the search results page.</p>

<p>A few guidelines and tips for composing good titles:</p>

<ul>
 <li>Avoid one- or two-word titles. Use a descriptive phrase, or a term-definition pairing for glossary or reference-style pages.</li>
 <li>Search engines typically display about the first 55–60 characters of a page title. Text beyond that may be lost, so try not to have titles longer than that. If you must use a longer title, make sure the important parts come earlier and that nothing critical is in the part of the title that is likely to be dropped.</li>
 <li>Don't use "keyword blobs." If your title is just a list of words, algorithms often reduce your page's position in the search results.</li>
 <li>Try to make sure your titles are as unique as possible within your own site. Duplicate—or near-duplicate—titles can contribute to inaccurate search results.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;title&gt;Awesome interesting stuff&lt;/title&gt;
</pre>

<p>This example establishes a page whose title (as displayed at the top of the window or in the window's tab) as "Awesome interesting stuff".</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>It is important to provide a <code>title</code> value that describes the page's purpose. </p>

<p>A common navigation technique for users of assistive technology is to read the page title and infer the content the page contains. This is because navigating into a page to determine its content can be a time consuming and potentially confusing process.</p>

<h3 id="Example_2">Example</h3>

<pre>&lt;title&gt;Menu - Blue House Chinese Food - FoodYum: Online takeout today!&lt;/title&gt;
</pre>

<p>To help the user, update the page <code>title</code> value to reflect significant page state changes (such as form validation problems).</p>

<h3 id="Example_3">Example</h3>

<pre>&lt;title&gt;2 errors - Your order - Blue House Chinese Food - FoodYum: Online takeout today!&lt;/title&gt;
</pre>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Operable#Guideline_2.4_—_Navigable_Provide_ways_to_help_users_navigate_find_content_and_determine_where_they_are">MDN Understanding WCAG, Guideline 2.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/navigation-mechanisms-title.html">Understanding Success Criterion 2.4.2 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-title-element', '&lt;title&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'document-metadata.html#the-title-element', '&lt;title&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/global.html#h-7.4.2', '&lt;title&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.title")}}</p>
